import fs from'fs';
const{execSync}=require('child_process');
var stylezero_style_version=1;
var allow_stylezero_execution=true;
const stylezero_bin=process.platform==='win32'?'%LocalAppData%\\Programs\\StyleZero\\stylezero':'~/.local/opt/stylezero/stylezero';
var __dir__=process.cwd();
export default function stylezero(){
	return{
		name:'stylezero',
		enforce:'pre',
		transform(code,path){
			if(!path.endsWith('.INIT_FILE_EXTENSION'))
				return;
			if(allow_stylezero_execution){
				allow_stylezero_execution=false;
				setTimeout(()=>allow_stylezero_execution=true,1000);
				execSync(stylezero_bin,{encoding:'utf-8'});
			}
			var compiled_path=path.replace(__dir__+'/src/',__dir__+'/INIT_PLUGIN_DIR/cache/');
			return fs.readFileSync(compiled_path,'utf-8');
		}
	}
};
